Loading...
Searching...
No Matches
PycArray.h File Reference
`#include <boost/python.hpp>`
`#include <boost/python/object.hpp>`
`#include <casacore/casa/Arrays/Array.h>`
`#include <casacore/casa/Containers/ValueHolder.h>`
`#include <casacore/casa/Utilities/DataType.h>`
`#include <casacore/casa/Exceptions/Error.h>`
`#include <iostream>`

Go to the source code of this file.

## Classes

struct | casacore::python::casa_array_from_python
struct | casacore::python::casa_array_to_python< T >
| Convert Array to Python. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines
namespace | casacore::python

## Functions

Bool | casacore::python::PycArrayCheck (PyObject *obj_ptr)
Bool | casacore::python::PycArrayScalarCheck (PyObject *obj_ptr)
| Check if the PyObject is an array scalar object.
DataType | casacore::python::PycArrayScalarType (PyObject *obj_ptr)
| Get the data type of the array scalar object.
template<typename T>
boost::python::object | casacore::python::makePyArrayObject (casacore::Array< T > const &arr)
| Do the actual making of the PyArrayObject.
template<>
boost::python::object | casacore::python::makePyArrayObject (casacore::Array< String > const &arr)